Debian Bug report logs - #656100
O: fsvs -- Full system versioning with metadata support

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Iain Lane <laney@debian.org>

Date: Mon, 16 Jan 2012 14:03:05 UTC

Severity: normal

Merged with 657271, 671349

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, laney@debian.org, pmarek@tigris.org, gunnar@thielebein.net, wnpp@debian.org:
Bug#656100; Package wnpp. (Mon, 16 Jan 2012 14:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@debian.org>:
New Bug report received and forwarded. Copy sent to laney@debian.org, pmarek@tigris.org, gunnar@thielebein.net, wnpp@debian.org. (Mon, 16 Jan 2012 14:03:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: fsvs -- Full system versioning with metadata support
Date: Mon, 16 Jan 2012 14:01:36 +0000
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

Hello,

I am orphaning the fsvs package.

The package description is:
 FSVS is a backup/restore/versioning/deployment tool for whole directory
 trees or filesystems, with a subversion repository as the backend.
 It can do overlays of multiple repositories, to achieve some content
 separation (base install, local modifications, etc.)

Gunnar Thielebein, CCed, has indicated that he may possibly be
interested in maintaining the package. Gunnar, if this is the case,
please see [0] for how to proceed with adopting.

Maintaining a package requires sufficient time, skill and commitment.
Please make sure you have these before proceeding. :-)

Regards,

-- 
Iain Lane                                  [ iain@orangesquash.org.uk ]
Debian Developer                                   [ laney@debian.org ]
Ubuntu Developer                                   [ laney@ubuntu.com ]
PhD student                                       [ ial@cs.nott.ac.uk ]

[0] http://www.debian.org/devel/wnpp/ "Removing entries"
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#656100; Package wnpp. (Tue, 17 Jan 2012 17:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Philipp Marek" <philipp@marek.priv.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 17 Jan 2012 17:39:08 GMT) Full text and rfc822 format available.

Message #10 received at 656100@bugs.debian.org (full text, mbox):

From: "Philipp Marek" <philipp@marek.priv.at>
To: announce@fsvs.tigris.org
Cc: users@fsvs.tigris.org, dev@fsvs.tigris.org, 656100@bugs.debian.org, 612590@bugs.debian.org
Subject: [ANNOUNCE] FSVS 1.2.4 released
Date: Tue, 17 Jan 2012 18:25:32 +0100 (CET)
Hello everybody,

I've released a new version of FSVS.


Changes since 1.2.3 are
 * Compilation fixes for MacOS 10.6; thanks, Thomas!
 * Added "password" option, as sent by Mark. Thank you!
 * Workarounds for gcc-4.5 and gcc-4.6 regressions. Thank you, Brian!
 * Compatibility with autoconf 2.68.


Please get the sources at

    http://freecode.com/projects/fsvs

and/or hope for new packages of your distribution (hint, hint ;)


As always: All ideas/bugs/questions are welcome, preferably to the mailing list(s).


Regards,

Phil






Owner recorded as Gunnar Thielebein <gunnar@thielebein.net>. Request was from Gunnar Thielebein <gunnar@thielebein.net> to control@bugs.debian.org. (Wed, 25 Jan 2012 02:39:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#656100; Package wnpp. (Wed, 25 Jan 2012 02:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gunnar Thielebein <gunnar@thielebein.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 25 Jan 2012 02:45:04 GMT) Full text and rfc822 format available.

Message #17 received at 656100@bugs.debian.org (full text, mbox):

From: Gunnar Thielebein <gunnar@thielebein.net>
To: 656100@bugs.debian.org
Subject: ITA: fsvs -- Full system versioning with metadata support
Date: Wed, 25 Jan 2012 03:32:21 +0100
Package: wnpp
Severity: normal

Hello,

I am willing to takeover maintainership of the fsvs package.

The package description is:
 FSVS is a backup/restore/versioning/deployment tool for whole directory
 trees or filesystems, with a subversion repository as the backend.
 It can do overlays of multiple repositories, to achieve some content
 separation (base install, local modifications, etc.)




Forcibly Merged 656100 657271. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 25 Jan 2012 21:00:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#656100; Package wnpp. (Thu, 09 Feb 2012 16:03:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gunnar Thielebein <gunnar_thielebein@gmx.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 09 Feb 2012 16:03:33 GMT) Full text and rfc822 format available.

Message #24 received at 656100@bugs.debian.org (full text, mbox):

From: Gunnar Thielebein <gunnar_thielebein@gmx.net>
To: devel@fsvs.tigris.org
Cc: Philipp Marek <philipp@marek.priv.at>, 656100@bugs.debian.org
Subject: [fsvs-1.2.4] package build fails
Date: Thu, 09 Feb 2012 17:01:59 +0100
Hi Phil,

building the recent 1.2.4 version fails. I have seen there are changes in the
Makefile.in regarding apr libs.
After adding the libs the building still fails.

Snippet from error log is:

> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/helper.c:1319: undefined
> reference to `svn_stream_set_close'
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/helper.c:1352: undefined
> reference to `apr_md5_init'
> helper.o: In function `hlp__get_gid':
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/helper.c:718: undefined
> reference to `apr_gid_get'
> helper.o: In function `hlp___encode_read':
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/helper.c:1152: undefined
> reference to `svn_error_create'
> ignore.o: In function `ign__compile_pattern':
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/ignore.c:936: undefined
> reference to `pcre_compile'
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/ignore.c:948: undefined
> reference to `pcre_study'
> ignore.o: In function `ign___new_group':
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/ignore.c:1429: undefined
> reference to `apr_hash_get'
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/ignore.c:1432: undefined
> reference to `apr_hash_make'
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/ignore.c:1443: undefined
> reference to `apr_hash_set'
> ignore.o: In function `ign___load_group':
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/ignore.c:1575: undefined
> reference to `apr_hash_make'
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/ignore.c:1584: undefined
> reference to `svn_string_create'
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/ignore.c:1585: undefined
> reference to `apr_hash_set'
> ignore.o: In function `ign__is_ignore':
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/ignore.c:1697: undefined
> reference to `pcre_exec'
> log.o: In function `log(long double,...)(char,...)(int, void,...)(long double)':
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/log.c:159: undefined reference
> to `apr_hash_count'
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/log.c:163: undefined reference
> to `apr_hash_first'
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/log.c:166: undefined reference
> to `apr_hash_this'
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/log.c:198: undefined reference
> to `apr_hash_next'
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/log.c:271: undefined reference
> to `svn_error__locate'
> /data/src/pbuilder/packages/fsvs/fsvs-1.2.4/src/log.c:271: undefined reference
> to `svn_error_create'

Think the dependencies are fullfilled e.g.:
> grep -R svn_stream_set_close /usr/include/
> /usr/include/subversion-1/svn_io.h:svn_stream_set_close(svn_stream_t *stream,

I added the following to Makefile.in:
> --- Makefile.in-backup    2012-02-08 22:33:35.000000000 +0100
> +++ Makefile.in    2012-02-08 22:33:58.000000000 +0100
> @@ -18,7 +18,7 @@
>  CFLAGS    := @CFLAGS@ @NEED_FNESTED_FUNCTIONS@
>  CFLAGS    += -Wall -funsigned-char -Os -DFSVS_VERSION='"$(VERSION)"'
>  LDFLAGS    := @LDFLAGS@
> -FSVS_LDFLAGS = $(LDFLAGS) -lsvn_subr-1 -lsvn_delta-1 -lsvn_ra-1 -lpcre -lgdbm
> +FSVS_LDFLAGS = $(LDFLAGS) -lsvn_subr-1 -lapr-1 -laprutil-1 -lsvn_delta-1
> -lsvn_ra-1 -lpcre -lgdbm
>  EXTRALIBS    := @EXTRALIBS@
>  WAA_CHARS?= @WAA_WC_MD5_CHARS@

Do you have an idea what can cause this problem?

Regards,
Gunnar




Merged 656100 657271 671349 Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 05:57:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: fsvs -- Full system versioning with metadata support' from 'O: fsvs -- Full system versioning with metadata support' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Tue, 05 Jun 2012 23:30:03 GMT) Full text and rfc822 format available.

Owner recorded as Gunnar Thielebein <gunnar@thielebein.net>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Tue, 05 Jun 2012 23:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Gunnar Thielebein <gunnar@thielebein.net>:
Bug#656100; Package wnpp. (Tue, 11 Dec 2012 01:04:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Gunnar Thielebein <gunnar@thielebein.net>. (Tue, 11 Dec 2012 01:04:07 GMT) Full text and rfc822 format available.

Message #35 received at 656100@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 656100@bugs.debian.org
Cc: control@bugs.debian.org
Subject: fsvs: changing back from ITA to O
Date: Tue, 11 Dec 2012 01:00:35 +0000
retitle 656100 O: fsvs -- Full system versioning with metadata support
noowner 656100
tag 656100 - pending
thanks

Hi,

This is an automatic email to change the status of fsvs back from ITA
(Intent to Adopt) to O (Orphaned), because this bug hasn't seen any activity
during the last 6 months.

If you are still interested in adopting fsvs, please send a mail to
<control@bugs.debian.org> with:

 retitle 656100 ITA: fsvs -- Full system versioning with metadata support
 owner 656100 !
 thanks

However, it is not recommended to keep ITA for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
adopting the package. It is also a good idea to document your progress on this
ITA from time to time, by mailing <656100@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Frank, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'O: fsvs -- Full system versioning with metadata support' from 'ITA: fsvs -- Full system versioning with metadata support' Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Tue, 11 Dec 2012 01:06:04 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Gunnar Thielebein <gunnar@thielebein.net>. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Tue, 11 Dec 2012 01:06:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:04:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.